from setuptools import setup, find_packages

setup(
    name='clldutils',
    version='1.14.0',
    description='Utilities for clld apps',
    long_description=open("README.rst").read(),
    author='Robert Forkel',
    author_email='forkel@shh.mpg.de',
    url='https://github.com/clld/clldutils',
    packages=find_packages(),
    install_requires=[
        'six',
        'python-dateutil',
        'configparser>=3.5.0b2',
        'tabulate>=0.7.7',
        'colorlog',
        'attrs>=17.1.0',
        'uritemplate>=3.0.0',
        'isodate',
        'rfc3986',
        'pathlib2; python_version < "3.5"',
    ],
    license="Apache 2.0",
    zip_safe=False,
    keywords='',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Apache Software License',
        'Natural Language :: English',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: Implementation :: CPython',
        'Programming Language :: Python :: Implementation :: PyPy'
    ],
    tests_require=[
        'nose',
        'coverage',
        'mock>=2.0',
    ],
)
